package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.CustomGroupLeverageTable;
import com.crm.rely.backend.core.pojo.table.CustomGroupTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;
import java.util.List;

/**
 * Created by max on 2020/7/8.
 */
@Repository
public interface CustomGroupLeverageRepository extends BaseRepository<CustomGroupLeverageTable> {

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    CustomGroupLeverageTable findFirstById(Long id);

    List<CustomGroupLeverageTable> findAllByGroupId(Long groupId);

    List<CustomGroupLeverageTable> findAllByGroupIdIn(List<Long> groupIds);

    List<CustomGroupLeverageTable> getAllByGroupId(Long groupId);

    List<CustomGroupLeverageTable> getAllByGroupIdIn(List<Long> groupIds);
}
